package com.fs.erp.dto;

import lombok.Data;
import lombok.Builder;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;

import java.io.Serializable;

/**
 * 售后单响应DTO
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AfterSaleResponseDTO implements Serializable {

    private static final long serialVersionUID = -1L;

    /**
     * 响应消息
     */
    private String msg;

    /**
     * 售后单ID
     */
    private Long asId;

    /**
     * 是否成功
     */
    private Boolean issuccess;

    /**
     * 订单号
     */
    private String soId;

    /**
     * 外部售后单号
     */
    private String outerAsId;

    /**
     * 订单ID
     */
    private Long oId;

    /**
     * ID
     */
    private Long id;

    /**
     * 订单类型
     */
    private String orderType;

    /**
     * 订单授权ID
     */
    private String oaid;
}
