package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

/**
 * 聚水潭API公共请求参数DTO
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Accessors(chain = true)
public class JstCommonRequestDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * POP分配给应用的app_key
     */
    private String appKey;

    /**
     * 通过code获取的access_token
     */
    private String accessToken;

    /**
     * UNIX时间戳，单位秒，需要与聚水潭服务器时间差值在10分钟内
     */
    private Long timestamp;

    /**
     * 字符编码（固定值：utf-8）
     */
    private String charset;

    /**
     * 版本号，固定传2
     */
    private String version;

    /**
     * 数字签名
     */
    private String sign;
}
