package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.List;

/**
 * 商品上传响应数据DTO
 * 用于封装商品上传后的响应信息
 *
 * @author xdd
 * @since 2025-02-27
 * @version 1.0
 */
@Data
@Accessors(chain = true)
public class ProductUploadResponseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 上传结果列表
     */
    private List<ProductUploadDetail> datas;

    /**
     * 商品上传详情
     */
    @Data
    @Accessors(chain = true)
    public static class ProductUploadDetail implements Serializable {

        private static final long serialVersionUID = 1L;

        /**
         * 是否上传成功
         */
        private String isSuccess;

        /**
         * 商品编码
         */
        private String skuId;

        /**
         * 执行信息
         */
        private String msg;
    }
}
