package com.fs.erp.dto;

import lombok.Data;
import lombok.Builder;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;

import java.util.List;
import java.math.BigDecimal;
import java.io.Serializable;

/**
 * 退货单DTO
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RefundOrderDTO implements Serializable {

    private static final long serialVersionUID = -1L;

    /**
     * 店铺状态
     */
    private String shopStatus;

    /**
     * 问题类型
     */
    private String questionType;

    /**
     * 外部售后ID
     */
    private String outerAsId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 退货类型
     */
    private String type;

    /**
     * 商品状态
     */
    private String goodStatus;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 总金额
     */
    private BigDecimal totalAmount;

    /**
     * 订单号
     */
    private String soId;

    /**
     * 物流公司
     */
    private String logisticsCompany;

    /**
     * 支付金额
     */
    private BigDecimal payment;

    /**
     * 物流ID
     */
    private String lId;

    /**
     * 退款金额
     */
    private BigDecimal refund;

    /**
     * 退货商品列表
     */
    private List<RefundItemDTO> items;
}


